ImageUtil (Hyperic HQ Plugin API)
Keywords: org.hyperic.image.ImageUtil class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image
Class ImageUtil

    java.lang.Object
      org.hyperic.image.ImageUtil

    public class ImageUtil

extends java.lang.Object

Constructor Summary
`ImageUtil()`

Method Summary
`static java.awt.image.BufferedImage` | `convertToIndexColorImage(java.awt.image.BufferedImage image)` Creates a copy of an image and during the process converts the image to an indexed color image.
`static java.awt.image.BufferedImage` | `loadImage(java.lang.String path)` Loads an image from a file on disk or in an archive (e.g., .jar).
`static byte[][]` | `scrapeColors(java.awt.image.BufferedImage image)` Get's all of the unique colors in an image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageUtil

    public ImageUtil()

Method Detail

### convertToIndexColorImage

    public static java.awt.image.BufferedImage convertToIndexColorImage(java.awt.image.BufferedImage image)

  Creates a copy of an image and during the process converts the image to an indexed color image.

  Parameters:
    `image` - Image to convert.
  Returns:
    BufferedImage with an indexed color pallette

### loadImage

    public static java.awt.image.BufferedImage loadImage(java.lang.String path)
                                                  throws java.io.IOException

  Loads an image from a file on disk or in an archive (e.g., .jar).

  Parameters:
    `path` - The name of the image file to load. This should be a relative path starting from anywhere in the classpath. For example, 'images/foo.gif'.
  Returns:
    A BufferedImage object that contains the loaded image.
  Throws:
    `java.io.IOException`

### scrapeColors

    public static byte[][] scrapeColors(java.awt.image.BufferedImage image)

  Get's all of the unique colors in an image.

  Parameters:
    `image` - The image.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.